=== debian/changelog ===
dustrac (2.0.1-1) unstable; urgency=medium

  * Initial release.

 -- Pino Toscano <pino@debian.org>  Wed, 10 Jan 2018 23:25:25 +0100
