=== debian/control ===
Source: dustrac
Section: games
Priority: optional
Maintainer: Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 10),
 cmake (>= 3.1),
 pkg-config,
 qtbase5-dev,
 libqt5opengl5-dev,
 qttools5-dev,
 libopenal-dev,
 libvorbis-dev,
 xauth,
 xvfb,
Standards-Version: 4.1.3
Homepage: https://juzzlin.github.io/DustRacing2D/

Package: dustracing2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 dustracing2d-data (>= ${source:Version}),
Description: tile-based 2D racing game
 Dust Racing (Dustrac) is a tile-based, cross-platform 2D racing game.
 .
 Dust Racing comes with a level editor for easy level creation.
 .
 Features:
  * 1-2 human players against 11 challenging computer players
  * 3 difficulty settings: Easy, Medium, Senna
  * Split-screen two player game (vertical or horizontal)
  * Game modes: Race, Time Trial, Duel
  * 2D graphics with some 3D objects
  * Smooth game play and physics
  * Multiple race tracks
  * Finishing in TOP-6 will unlock the next race track
  * Star ratings based on the best positions on each race track
  * Easy to create new race tracks with the level editor
  * Engine and collision sounds
  * Pit stops
  * Runs windowed or fullscreen

Package: dustracing2d-data
Architecture: all
Depends: ${misc:Depends},
 fonts-dejavu-core,
Description: data files for Dust Racing 2D
 Dust Racing (Dustrac) is a tile-based, cross-platform 2D racing game.
 .
 This package contains the data files for Dust Racing 2D.
