=== src/game/CMakeLists.txt ===
--- 
+++ 
@@ -24,13 +24,14 @@
 include_directories("${CMAKE_CURRENT_SOURCE_DIR}/audio")
 
 # Translation files in src/game/translations (without .ts)
-set(TS dustrac-game_fi dustrac-game_it dustrac-game_cs dustrac-game_fr dustrac-game_de)
+set(TS dustrac-game_fi dustrac-game_it dustrac-game_cs dustrac-game_fr dustrac-game_de dustrac-game_ru)
 set(TS_FILES)
 set(QM_FILES)
 foreach(TS_FILE ${TS})
     list(APPEND TS_FILES ${CMAKE_SOURCE_DIR}/src/game/translations/${TS_FILE}.ts)
-    list(APPEND QM_FILES ${CMAKE_BINARY_DIR}/src/game/${TS_FILE}.qm)
+    list(APPEND QM_FILES ${CMAKE_BINARY_DIR}/data/translations/${TS_FILE}.qm)
 endforeach()
+set_source_files_properties(${TS_FILES} PROPERTIES OUTPUT_LOCATION ${CMAKE_BINARY_DIR}/data/translations)
 
 # Set headers that don't have a corresponding cpp file
 set(HDR
@@ -45,7 +46,6 @@
     ai.cpp
     application.cpp
     bridge.cpp
-    bridgetrigger.cpp
     car.cpp
     carfactory.cpp
     carparticleeffectmanager.cpp
@@ -59,6 +59,7 @@
     fadeanimation.cpp
     fontfactory.cpp
     game.cpp
+    gearbox.cpp
     graphicsfactory.cpp
     inputhandler.cpp
     intro.cpp
@@ -87,7 +88,8 @@
     trackobjectfactory.cpp
     tracktile.cpp
     tree.cpp
-    ../common/config.cpp
+    ../common/config.hpp
+    ../common/datakeywords.hpp
     ../common/objectbase.cpp
     ../common/objects.cpp
     ../common/route.cpp
@@ -157,22 +159,13 @@
     MiniCore
     MTFH
     STFH
-    ${OPENGL_gl_LIBRARY}
-    ${OPENGL_glu_LIBRARY}
     ${OPENAL_LIBRARY}
     ${VORBISFILE_LIBRARIES}
     ${VORBISFILE_LIB} # Valid only with MSVC
     ${VORBIS_LIB}     # Valid only with MSVC
     ${OGG_LIB})       # Valid only with MSVC
 
-target_link_libraries(${GAME_BINARY_NAME} ${COMMON_LIBS} Qt5::OpenGL Qt5::Xml)
-set_property(TARGET ${GAME_BINARY_NAME} PROPERTY CXX_STANDARD 11)
+target_link_libraries(${GAME_BINARY_NAME} ${COMMON_LIBS} Qt5::OpenGL Qt5::Xml ${DUSTRAC_OPENGL_LIBS} SimpleLogger)
+set_property(TARGET ${GAME_BINARY_NAME} PROPERTY CXX_STANDARD 14)
 
-foreach(TS_FILE ${TS})
-    # Make targets to copy generated qm files to data dir. This is done the hard
-    # way, because qt4_add_translation() generates the qm files to ${CMAKE_CURRENT_SOURCE_DIR}
-    add_custom_target(copy-translation-file-${TS_FILE} ALL
-        COMMAND cmake -E copy ${CMAKE_BINARY_DIR}/src/game/${TS_FILE}.qm
-            ${CMAKE_BINARY_DIR}/data/translations/${TS_FILE}.qm
-        DEPENDS ${GAME_BINARY_NAME})
-endforeach()
+add_subdirectory(unittests)
