=== debian/changelog ===
dustrac (2.0.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #951427)
  * Switch the libqt5opengl5-dev build dependency to libqt5opengl5-desktop-dev,
    as only the Desktop OpenGL is supported.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.4.0
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Update copyright.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 19 Feb 2020 21:32:46 +0100
