=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: games
 Priority: optional
 Maintainer: Pino Toscano <pino@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
  cmake (>= 3.1),
  pkg-config,
- qtbase5-dev,
- libqt5opengl5-dev,
- qttools5-dev,
+ qtbase5-dev (>= 5.4.0~),
+ libqt5opengl5-desktop-dev (>= 5.4.0~),
+ qttools5-dev (>= 5.4.0~),
  libopenal-dev,
  libvorbis-dev,
  xauth,
  xvfb,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: https://juzzlin.github.io/DustRacing2D/
 
 Package: dustracing2d
