## dustrac 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,8 @@
 
 # Global game version
 set(VERSION_MAJOR 2)
-set(VERSION_MINOR 0)
-set(VERSION_PATCH 5)
+set(VERSION_MINOR 1)
+set(VERSION_PATCH 0)
 set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 # Some common CPack variables
@@ -128,6 +128,7 @@
 find_package(Qt5Xml ${QT_MIN_VER} REQUIRED)
 find_package(Qt5Widgets ${QT_MIN_VER} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MIN_VER} REQUIRED)
+find_package(Qt5Sql ${QT_MIN_VER} REQUIRED)
 find_package(Qt5Test ${QT_MIN_VER} REQUIRED)
 
 # Find OpenGL
@@ -159,14 +160,17 @@
     pkg_check_modules(VORBISFILE REQUIRED vorbisfile)
 endif()
 
+add_subdirectory(src/contrib/SimpleLogger EXCLUDE_FROM_ALL)
+include_directories(src/contrib/SimpleLogger/src)
+
+add_subdirectory(src/contrib/Argengine EXCLUDE_FROM_ALL)
+include_directories(src/contrib/Argengine/src)
+
 # Enable CMake's unit test framework
 enable_testing()
 
 # Install paths depend on the build type and target platform
 resolve_install_paths()
 
-add_subdirectory(src/contrib/SimpleLogger)
-include_directories(src/contrib/SimpleLogger/src)
-
 add_subdirectory(src/editor)
 add_subdirectory(src/game)
