=== src/editor/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 # Translation files in src/editor/translations (without .ts)
-set(TS dustrac-editor_fi dustrac-editor_it dustrac-editor_cs dustrac-editor_fr dustrac-editor_de dustrac-editor_ru)
+set(TS dustrac-editor_fi dustrac-editor_it dustrac-editor_cs dustrac-editor_fr dustrac-editor_de dustrac-editor_ru 
+dustrac-editor_nl)
 set(TS_FILES)
 set(QM_FILES)
 foreach(TS_FILE ${TS})
@@ -83,5 +84,5 @@
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
 add_executable(${EDITOR_BINARY_NAME} WIN32 ${SRC} ${MOC_SRC} ${RC_SRC} ${UI_HDRS} ${QM})
 
-target_link_libraries(${EDITOR_BINARY_NAME} Qt5::Widgets Qt5::Xml)
+target_link_libraries(${EDITOR_BINARY_NAME} Qt5::Widgets Qt5::Xml Argengine_static)
 set_property(TARGET ${EDITOR_BINARY_NAME} PROPERTY CXX_STANDARD 14)
