=== debian/changelog ===
dustrac (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Include-stdexcept-for-std-runtime_error.patch: drop, backported
      from upstream
    - upstream_appdata-a-couple-of-fixes.patch: drop, backported from upstream
  * Update copyright.
  * Depend on libqt5sql5-sqlite, needed for the SQLite settings DB.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Pino Toscano <pino@debian.org>  Thu, 29 Oct 2020 08:44:12 +0100

dustrac (2.0.5-2) unstable; urgency=medium

  * Backport upstream commit d41a46ac32038055bfc9fe9a907e199ed74e371c to
    <stdexcept> where needed, fixing the build with GCC 10; patch
    upstream_Include-stdexcept-for-std-runtime_error.patch. (Closes: #957154)
  * Add Rules-Requires-Root: no.
  * Bump the debhelper compatibility to 13:
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Stop adding the as-needed linker flag, as it is the default in binutils.
  * Backport upstream commit f133fdcdcc8c3db4c86304bb1feccdedfa400301 to fix
    few issues in the AppStream file; patch
    upstream_appdata-a-couple-of-fixes.patch.

 -- Pino Toscano <pino@debian.org>  Thu, 23 Jul 2020 07:42:30 +0200
