=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Pino Toscano <pino@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.1),
  pkg-config,
  qtbase5-dev (>= 5.4.0~),
@@ -13,12 +13,14 @@
  xauth,
  xvfb,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://juzzlin.github.io/DustRacing2D/
 
 Package: dustracing2d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  dustracing2d-data (>= ${source:Version}),
+ libqt5sql5-sqlite,
 Description: tile-based 2D racing game
  Dust Racing (Dustrac) is a tile-based, cross-platform 2D racing game.
  .
