=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
 	dh $@ --buildsystem cmake
@@ -22,6 +20,3 @@
 	# replace the shipped DejaVu font with a link to the packaged version
 	find debian/tmp -name DejaVuSans-Bold.ttf -exec ln -sf /usr/share/fonts/truetype/dejavu/DejaVuSans-Bold.ttf {} \;
 	find debian/tmp -name LICENCE.txt -delete
-
-override_dh_missing:
-	dh_missing --fail-missing
